Not able to upgrade to 3.1

Discussion in 'iPod touch' started by k_c_arikatla, Dec 7, 2009.

  1. k_c_arikatla

    k_c_arikatla New Member

    Joined:
    Dec 7, 2009
    Messages:
    1
    Likes Received:
    0
    Device:
    2G iPod touch
    Hi,
    I have a 2G itouch with version 2.1. i have jailbroken it. i would like to upgrade it to 3.1.2 . i downloaded the firmware but i get the error that the file is not compatible when i try to restore it(shift+restore). I am presently using itunes9.0. help needed
  2. SoBe

    SoBe Banned

    Joined:
    Sep 1, 2009
    Messages:
    3,788
    Likes Received:
    1
    Device:
    2G iPod touch
    try DFU mode
  3. GeorgeJQ

    GeorgeJQ Member

    Joined:
    Feb 23, 2009
    Messages:
    405
    Likes Received:
    0
    Device:
    4G iPod touch
    why would u use shift+restore if your upgrading? just click upgrade in itunes and it'll download and install

Share This Page